﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using FarPoint.Win.Spread;
using FarPoint.Win.Spread.Model;



namespace Spread6VirtualMode
{
  public partial class Form1 : Form
  {
    #region Constructor

    public Form1()
    {
      InitializeComponent();
    }

    #endregion //Constructor -----------------------------------------------------------------------

    private void btnToggleVisibleColC_Click(object sender, EventArgs e)
    {
      this.fpSpread1.ActiveSheet.Columns[2].Visible = !this.fpSpread1.ActiveSheet.Columns[2].Visible;
    }

    private void btnSetNotes_Click(object sender, EventArgs e)
    {
      SheetView sheetView = this.fpSpread1.ActiveSheet;
      for (int rowNo = 0; rowNo < sheetView.RowCount; ++rowNo)
        sheetView.Cells[rowNo, 2].Note = "Row " + rowNo.ToString();
    }

    private void btnClearNotes_Click(object sender, EventArgs e)
    {
      SheetView sheetView = this.fpSpread1.ActiveSheet;
      for (int rowNo = 0; rowNo < sheetView.RowCount; ++rowNo)
        sheetView.Cells[rowNo, 2].Note = null;
    }
  } //class
} //namespace
